Subject: Re: [PATCH] pack-objects: move builtin-only code to its own header

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 May 2021 11:40:25 +0900

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Move the code that's only used in builtin/pack-objects.c to a new
> builtin/pack-objects.h header and out of pack-objects.h.
> ...
>  builtin/pack-objects.c | 174 +++++++++++++++++++++++++++++++++++++++--
>  pack-objects.h         | 159 -------------------------------------
>  2 files changed, 167 insertions(+), 166 deletions(-)

Neither the title or the description reflects the reality, though.

move builtin-only "static inline" code from the header to its sole
consumer?